Get Tools
Lists the tools that are not retired at the locations the caller can access (every location in the organisation for admins), ordered by name and optionally narrowed by location and tool type.
Authentication
OAuth 2.0 Client Credentials Flow. To obtain an access token:
-
Request API credentials from HINDSITE support to receive your
client_idandclient_secret -
Make a POST request to obtain an access token:
POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded
grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
- The response will contain your access token:
{
"access_token": "your_access_token_here",
"token_type": "Bearer",
"expires_in": 7200,
"created_at": 1234567890
}
- Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here
Query parameters
Only return tools at these locations. Repeat the parameter to pass several IDs, e.g. location_ids[]=A&location_ids[]=B.
Only return tools of these tool types. Repeat the parameter to pass several IDs, e.g. tool_type_ids[]=A&tool_type_ids[]=B.
Response
get Tool(s)
Always false on GET /api/v2/tools, which excludes retired tools
Unix timestamp (seconds since epoch)
Unix timestamp (seconds since epoch)
